Subject: bug#20764: 25.0.50; Minor improvements for calculator.el

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Feb 2016 19:50:42 +0200

> Date: Wed, 24 Feb 2016 00:40:11 +0800
> From: Chris Zheng <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Hello Lars,
> 
> Thank you. It is indeed fixed in the master branch, but the issue is
> still in the pretest 25.0.91. Do you test it in the master branch?
> 
> Would you please port the fix to the emacs-25 branch? If so, it will
> be fixed in 25.1. I think the commits are:
> 
> 6148555 * | * lisp/calculator.el (calculator-define-key): Undo last change
> c77b816 * | * lisp/calculator.el (calculator-define-key): Silence warning
> f248292 * | * lisp/calculator.el: more improvements and bugfixes.
> 1b4570b * | * lisp/calculator.el: Re-do key bindings.
> e875e68 * | * lisp/calculator.el: improve radix modes
> 5d74a02 * | * lisp/calculator.el: better reading of register names
> fb9ed79 * | * lisp/calculator.el: General improvements

I don't understand: the original bug report described 2 minor issues
and provided a 2-line fix for them.  How come we are now back-porting
no less than 7 commits from master?  Can't we install on emacs-25 just
those two changed lines?